# Project 9 - iOS+Android Application for Emergency Warning Satellite Services (EWSS) and Search and Rescue (SAR) using Galileo and LoRaWAN

## Context

Galileo is a satellite positioning system (radionavigation) developed by the European Union (EU), which has been partially operational since late 2016. Most GNSS modules embedded in smartphones and mobile connected devices (watches, trackers, etc.) receive signals from the Galileo satellite constellation as well as other constellations: GPS (USA), GLONASS (Russia), BEIDOU (China), and QZSS (Japan).

Galileo offers complementary services such as alert services (called Emergency Warning Satellite Services (EWSS)) and rescue services (called Search and Rescue (SAR)).

## Project

The goal of this project is to develop an open-source smartphone application (iOS, Android) that processes messages from the Galileo constellation related to alert messages (EWSS) and rescue messages (SAR). This application will also use EWSS and SAR messages received via LoRa/LR-FHSS/LoRaWAN connectivity, both terrestrial (star or mesh like [Meshtastic](https://meshtastic.org/))) and non-terrestrial (satellites, drone swarms, HAPS, strato balloons, captive balloons) through Bluetooth or USB.

## Testbeds

Field tests will be conducted using helium-filled tethered balloons on the SMH campus in the spring of 2025.

Field tests will be conducted using stratospheric balloons launched from the CNES base in Aire-sur-l’Adour in the spring of 2025.

Additional tests will be performed using the Thingsat board aboard the STORK-8 cubesat in the summer of 2025 and Nimph (CSUT) in 2026.

![EWSS Overview](media/ewss-overview.jpg)
![EWSS forest fire](https://air.imag.fr/images/a/a8/EWSS-01.jpg)
![SAR lifeboat](https://air.imag.fr/images/3/32/Search-and-Rescue.jpg)

