# Projet 9 Application mobile pour EWSS et SAR :: Journal de bord (aka fiche de suivi)

## 2025-03-10
* [ ] à regarder: scripts pour générer les fichiers de code à partir des CSV https://github.com/thingsat/riot_modules/tree/main/modules/camf


## 2025-02-10

A faire

* [ ] rédiger le [who is who](./whoiswho.md) (et les rôles)
* [ ] rédiger un pacte d'équipe (~pacte d'associé)
* [ ] rédiger le [cahier des charges](./spec.md) (markdown bien sur) avec les diagrammes
* [ ] faire le [point matériel récupéré](./matos.md) au fablab (emprunt depuis https://matos.univ-grenoble-alpes.fr/#
* [ ] créer une structure arborescente de dossiers pour organiser le dépôt
* [ ] créer un nouveau dépôt privé `Projets-INFO4/24-25/09/privat` pour y stocker les credentials et autres secrets (API tokens ...). Y ajouter le tuteur et les autres membres de l'équipe.
* [ ] lire la specification EWSS CAMF https://www.gsc-europa.eu/sites/default/files/sites/all/files/EWSS-CAMF_v1.0.pdf
* [ ] lire https://github.com/thingsat/riot_modules/tree/main/modules/ewss
  * [ ] https://github.com/thingsat/riot_modules/blob/main/modules/ewss/include/ewss_payload.h
  * [ ] https://github.com/thingsat/riot_modules/tree/main/modules/ewss/data
  * [ ] https://github.com/thingsat/riot_modules/blob/main/modules/ewss/data/i18n/fr/codes.csv
  * [ ] https://github.com/thingsat/riot_modules/blob/main/modules/ewss/data/i18n/fr/18.4.35.19.csv
  * [ ] https://github.com/thingsat/riot_modules/blob/main/modules/ewss/data/i18n/fr/11.a.csv
* [ ] tester les clients bash et les lib python pour MQTT : rédiger la [note](notes/mqtt.md)
* [ ] comparer les systèmes de notification des OS mobiles et les API des applications de messagérie instantanée : rédiger la [note](notes/notifications.md)
* [ ] comprendre les fonctionnements des geohexgrid pour englober les 2 ellipsiques du message CAMF (EWSS) : rediger la [note](notes/geohexgrid.md)
  * [ ] explorer (et tester) les fonctionnalités de l'[API GNSS d'Android](notes/gnss_android.md)

Exemple de structure arborescente
* [./README.md](./README.md) --> un description et des liens pour naviguer dans la structure
* [./logbook.md](./logbook.md)
* [./whoiswho.md](./whoiswho.md)
* [./CONTRIBUTORS.md](./CONTRIBUTORS.md)
* [./pacte.md](./pacte.md)
* [./matos.md](./matos.md)
* [./LICENSE.md](./LICENSE.md)
* [./notes](./notes)
* ./presentations
* ./presentations/README.md
* ./presentations/2024-02-10/
* ./presentations/2024-02-17/
* ./presentations/2024-03-XX_mid-project/
* ./presentations/2024-04-XX_final/
* ./reports
* ./reports/bib.tex
* ./reports/bib.md
* ./docs
* ./docs/user
* ./docs/admin
* ./media
* ./externals
* ./sandbox

**Instructions et bonnes pratiques**

* utilisez Markdown :  Rien d'autres n'est accepté
* utilisez [PlantUML](https://github.com/donsez/bd/tree/main/plantuml#readme) pour les diagrammes :  Rien d'autres n'est accepté (ie éditeurs en ligne and co)
* préférez SVG pour les schémas vectoriels à PNG et JPEG (pire HEIC)
* PDF, DOCX, PPT, ODT, ODP proscrits (sinon `git rm *.pdf, *.pptx *.docx ...`)
* utilisez Markdown et [reveal.js](https://github.com/webpro/reveal-md) pour vos présentations (dans un dossier dans le dossier `./presentations`)
* pour les thèmes dans les slides, pensez aux daltoniens (le [NB](https://fr.wikipedia.org/wiki/Bienvenue_%C3%A0_Gattaca) est indémodable)
* tout ce qui n'est pas écrit n'a pas été fait
* tout ce qui temporaire est définitif (on nettoiera plus tard, vite fait ...)
* plus tard == jamais
* redigez plutôt en anglais --> vos projets seront visibles de vos employeurs, vos maîtres de stage ...
* docker, docker, docker
* git, git, git
* dans vos interactions orales (présentations, clients) : évitez wesh wesh, vite fait, rapide, carré ... vous n'êtes pas sur la scène RAP française !
* [intelligence contextuelle](https://www.wikiberal.org/wiki/Intelligence_contextuelle)
* [Pandoc](https://pandoc.org/) est votre ami

## 2025-02-20

* Réalisation de bot telegram/discord et avec l'envoi de message d'alerte dans des canaux/salons

## 2025-02-27

* Implémentation de la notion d'élipse et d'hexagones dans le code

## 2025-03-05

* Codage et Décodage du exemple de message de 122 bits recu par satellite, et afficher les utilisateurs concerné par cette allerte

## 2025-03-10

* [x] Soutenance
* [x] A voir https://github.com/EWSS-CAMF/camf/
* [x] A voir https://github.com/thingsat/riot_modules/tree/main/modules/camf

# 2025-03-11
Saif : Construction d'un plan d'attaque pour la version beta du projet "plan.md" ainsi qu'un ensemble de tache et leur attribution

# 2025-03-14
* Conception de base de données 
# 2025-03-17
* Choix de BD et Installation de sqlite .
* Création de la base de donées users : contenant les utilisateurs et les alertes codée .
* Remplissage des deux tables pour test .
# 2025-03-18
# 2025-03-24
* Remplissage de la table des alertes codée et des utilisateurs .
* Début d'implementation de la base de données pour decodage CAMF .
# 2025-03-25
* Terminaison d'une partie de la base de données (alertes.db).
* Test et décodage validé .
# 2025-03-28
* Base de données de decodage complete .
# 2025-03-31
* Modification du fichier server.ts pour pouvoir décoder tous les champs .
* Conception du plan pour rapport
# 2025-04-01



