# Projet 9 - Application iOS+Android pour Emergency Warning Satellite Services (EWSS) et Search and Rescue (SAR) Galileo et LoRaWAN

## Contexte

Galileo est un système de positionnement par satellites (radionavigation) mis en place par l'Union européenne (UE) qui est partiellement opérationnel depuis fin 2016. La plupart des modules GNSS embarqués dans les smartphones et des objets connectés mobiles (montres, traqueurs ...) reçoivent les signaux de la constellation de satellites Galileo ainsi que celles des autres constellations : GPS (USA), GLONASS (Russie), BEIDOU (Chine), QZSS (Japon).

Galileo offre des services complémentaires comme des services d'alerte (appelé "Emergency Warning Satellite Services (EWSS)" Voir figure 1). et des services de secours (appelé "Search and Rescue (SAR)"). 

## Projet

L'objectif de ce projet est de développer une application open-source pour smartphone (iOS, Android) qui exploite les messages provenant de la constellation Galileo concernant les messages d'alerte (EWSS CAMF) et les messages de secours (SAR). Cette application utilisera également les messages EWSS CAMF et SAR reçus via une connectivité LoRa/LR-FHSS/LoRaWAN terrestre (en étoile ou maillée comme [Meshtastic](https://meshtastic.org/)) et non-terrestre (satellites, essaim de drones, HAPS, strato ballons, balloons captifs) via le Bluetooth ou l'USB.

## Tests terrain

Des tests seront réalisés au moyen de ballons captifs gonflés à l'hélium sur le campus de SMH au printemps 2025.

Des tests seront réalisés au moyen de ballons stratosphériques lachés depuis la base CNES de l'Aire sur l'Adour au printemps 2025.

Des tests seront réalisés au moyen de la carte Thingsat à bord du cubesat STORK-8 à l'été 2025 et de Nimph (CSUT) en 2026.

![EWSS Overview](media/ewss-overview.jpg)
![EWSS forest fire](https://air.imag.fr/images/a/a8/EWSS-01.jpg)
![SAR lifeboat](https://air.imag.fr/images/3/32/Search-and-Rescue.jpg)
